import { PropType } from '@vue/composition-api';
import { TdColorHandler, TdColorModes } from '../interfaces';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    globalConfig: import("@vue/composition-api").ComputedRef<{} & (import("../..").ColorPickerConfig | {
        readonly swatchColorTitle: "系统预设颜色";
        readonly recentColorTitle: "最近使用颜色";
        readonly clearConfirmText: "确定清空最近使用的颜色吗？";
        readonly singleColor: "单色";
        readonly gradientColor: "渐变";
    }) & import("../..").ColorPickerConfig>;
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    modeValue: import("@vue/composition-api").Ref<TdColorModes>;
}> & import("@vue/composition-api").Data, {}, {}, {
    mode: {
        type: PropType<TdColorModes>;
        default: string;
    };
    togglePopup: {
        type: PropType<TdColorHandler>;
    };
    handleModeChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    colorModes: {
        type: import("vue").PropType<("monochrome" | "linear-gradient")[]>;
        default: () => ("monochrome" | "linear-gradient")[];
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    enableAlpha: BooleanConstructor;
    enableMultipleGradient: {
        type: BooleanConstructor;
        default: boolean;
    };
    format: {
        type: import("vue").PropType<"HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS">;
        default: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS";
        validator(val: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS"): boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("../..").InputProps<import("../..").InputValue>>;
    };
    popupProps: {
        type: import("vue").PropType<import("../..").TdPopupProps>;
    };
    recentColors: {
        type: import("vue").PropType<boolean | string[]>;
        default: () => boolean | string[];
    };
    defaultRecentColors: {
        type: import("vue").PropType<boolean | string[]>;
        default: () => boolean | string[];
    };
    selectInputProps: {
        type: import("vue").PropType<import("../..").TdSelectInputProps>;
    };
    showPrimaryColorPreview: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("../..").SizeEnum>;
        default: import("../..").SizeEnum;
        validator(val: import("../..").SizeEnum): boolean;
    };
    swatchColors: {
        type: import("vue").PropType<string[]>;
        default: any;
    };
    value: {
        type: StringConstructor;
        default: string;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onChange: import("vue").PropType<(value: string, context: {
        color: import("..").ColorObject;
        trigger: import("..").ColorPickerChangeTrigger;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onPaletteBarChange: import("vue").PropType<(context: {
        color: import("..").ColorObject;
    }) => void>;
    onRecentColorsChange: import("vue").PropType<(value: string[]) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    mode: {
        type: PropType<TdColorModes>;
        default: string;
    };
    togglePopup: {
        type: PropType<TdColorHandler>;
    };
    handleModeChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
    borderless: BooleanConstructor;
    clearable: BooleanConstructor;
    colorModes: {
        type: import("vue").PropType<("monochrome" | "linear-gradient")[]>;
        default: () => ("monochrome" | "linear-gradient")[];
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    enableAlpha: BooleanConstructor;
    enableMultipleGradient: {
        type: BooleanConstructor;
        default: boolean;
    };
    format: {
        type: import("vue").PropType<"HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS">;
        default: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS";
        validator(val: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS"): boolean;
    };
    inputProps: {
        type: import("vue").PropType<import("../..").InputProps<import("../..").InputValue>>;
    };
    popupProps: {
        type: import("vue").PropType<import("../..").TdPopupProps>;
    };
    recentColors: {
        type: import("vue").PropType<boolean | string[]>;
        default: () => boolean | string[];
    };
    defaultRecentColors: {
        type: import("vue").PropType<boolean | string[]>;
        default: () => boolean | string[];
    };
    selectInputProps: {
        type: import("vue").PropType<import("../..").TdSelectInputProps>;
    };
    showPrimaryColorPreview: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("../..").SizeEnum>;
        default: import("../..").SizeEnum;
        validator(val: import("../..").SizeEnum): boolean;
    };
    swatchColors: {
        type: import("vue").PropType<string[]>;
        default: any;
    };
    value: {
        type: StringConstructor;
        default: string;
    };
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    onChange: import("vue").PropType<(value: string, context: {
        color: import("..").ColorObject;
        trigger: import("..").ColorPickerChangeTrigger;
    }) => void>;
    onClear: import("vue").PropType<(context: {
        e: MouseEvent;
    }) => void>;
    onPaletteBarChange: import("vue").PropType<(context: {
        color: import("..").ColorObject;
    }) => void>;
    onRecentColorsChange: import("vue").PropType<(value: string[]) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    value: string;
    disabled: boolean;
    size: import("../..").SizeEnum;
    defaultValue: string;
    format: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS";
    borderless: boolean;
    clearable: boolean;
    mode: TdColorModes;
    colorModes: ("monochrome" | "linear-gradient")[];
    recentColors: boolean | string[];
    defaultRecentColors: boolean | string[];
    swatchColors: string[];
    handleModeChange: TdColorHandler;
    enableAlpha: boolean;
    enableMultipleGradient: boolean;
    showPrimaryColorPreview: boolean;
} & {
    onChange?: (value: string, context: {
        color: import("..").ColorObject;
        trigger: import("..").ColorPickerChangeTrigger;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    inputProps?: unknown;
    popupProps?: unknown;
    selectInputProps?: unknown;
    onPaletteBarChange?: (context: {
        color: import("..").ColorObject;
    }) => void;
    onRecentColorsChange?: (value: string[]) => void;
    togglePopup?: TdColorHandler;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    globalConfig: import("@vue/composition-api").ComputedRef<{} & (import("../..").ColorPickerConfig | {
        readonly swatchColorTitle: "系统预设颜色";
        readonly recentColorTitle: "最近使用颜色";
        readonly clearConfirmText: "确定清空最近使用的颜色吗？";
        readonly singleColor: "单色";
        readonly gradientColor: "渐变";
    }) & import("../..").ColorPickerConfig>;
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    modeValue: import("@vue/composition-api").Ref<TdColorModes>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    value: string;
    disabled: boolean;
    size: import("../..").SizeEnum;
    defaultValue: string;
    format: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS";
    borderless: boolean;
    clearable: boolean;
    mode: TdColorModes;
    colorModes: ("monochrome" | "linear-gradient")[];
    recentColors: boolean | string[];
    defaultRecentColors: boolean | string[];
    swatchColors: string[];
    handleModeChange: TdColorHandler;
    enableAlpha: boolean;
    enableMultipleGradient: boolean;
    showPrimaryColorPreview: boolean;
} & {
    onChange?: (value: string, context: {
        color: import("..").ColorObject;
        trigger: import("..").ColorPickerChangeTrigger;
    }) => void;
    onClear?: (context: {
        e: MouseEvent;
    }) => void;
    inputProps?: unknown;
    popupProps?: unknown;
    selectInputProps?: unknown;
    onPaletteBarChange?: (context: {
        color: import("..").ColorObject;
    }) => void;
    onRecentColorsChange?: (value: string[]) => void;
    togglePopup?: TdColorHandler;
}, {
    value: string;
    disabled: boolean;
    size: import("../..").SizeEnum;
    defaultValue: string;
    format: "HEX" | "HEX8" | "RGB" | "RGBA" | "HSL" | "HSLA" | "HSV" | "HSVA" | "CMYK" | "CSS";
    borderless: boolean;
    clearable: boolean;
    mode: TdColorModes;
    colorModes: ("monochrome" | "linear-gradient")[];
    recentColors: boolean | string[];
    defaultRecentColors: boolean | string[];
    swatchColors: string[];
    handleModeChange: TdColorHandler;
    enableAlpha: boolean;
    enableMultipleGradient: boolean;
    showPrimaryColorPreview: boolean;
}, true>);
export default _default;
