/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Vue = require('vue');
var configProvider_context = require('../_chunks/dep-65c8d021.js');
var configProvider_props = require('./props.js');
var cloneDeep = require('../_chunks/dep-bdfb7a98.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-bc99824f.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-4effc6c4.js');
require('dayjs');
require('../_chunks/dep-d59c4646.js');
require('../_chunks/dep-11382958.js');
require('../_chunks/dep-c272f99f.js');
require('../_chunks/dep-89b9f4de.js');
require('../_chunks/dep-1c1cc34f.js');
require('../_chunks/dep-31fa06d0.js');
require('../_chunks/dep-ba816077.js');
require('../_chunks/dep-852fc6a9.js');
require('../_chunks/dep-c9d43e30.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-23d55f82.js');
require('../_chunks/dep-bc3ec918.js');
require('../_chunks/dep-f97b0058.js');
require('../_chunks/dep-9a119db9.js');
require('../_chunks/dep-49887b48.js');
require('../_chunks/dep-06c569d8.js');
require('../_chunks/dep-4d554a6f.js');
require('../_chunks/dep-7ec0f498.js');
require('../_chunks/dep-fcdc23bb.js');
require('../_chunks/dep-59f3051f.js');
require('../_chunks/dep-b86e0f9e.js');
require('../_chunks/dep-b5cedeaa.js');
require('../_chunks/dep-07989e63.js');
require('../_chunks/dep-d3e77112.js');
require('../_chunks/dep-b520fc3a.js');
require('../_chunks/dep-f2e07584.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);

var globalConfigSymbol = "__TDESIGN__INSTANCE__GLOBAL__CONFIG__";
var ConfigProvider = Vue__default["default"].extend({
  name: "TConfigProvider",
  props: configProvider_props["default"],
  data: function data() {
    return {
      defaultData: cloneDeep.cloneDeep(configProvider_context.defaultGlobalConfig)
    };
  },
  provide: function provide() {
    return {
      globalConfig: this.mergedGlobalConfig
    };
  },
  computed: {
    mergedGlobalConfig: function mergedGlobalConfig() {
      var mergedGlobalConfig = configProvider_context.mergeWith(this.defaultData, this.globalConfig);
      Vue__default["default"].prototype[globalConfigSymbol] = mergedGlobalConfig;
      return mergedGlobalConfig;
    }
  },
  render: function render() {
    var _this$$slots$default;
    var h = arguments[0];
    if (((_this$$slots$default = this.$slots["default"]) === null || _this$$slots$default === void 0 ? void 0 : _this$$slots$default.length) === 1) {
      return this.$slots["default"][0];
    }
    return h("div", [this.$slots["default"]]);
  }
});

exports["default"] = ConfigProvider;
exports.globalConfigSymbol = globalConfigSymbol;
//# sourceMappingURL=config-provider.js.map
