/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var radio_radio = require('./radio.js');
var radio_group = require('./group.js');
var radio_radioButton = require('./radio-button.js');
var utils_mapProps = require('../utils/map-props.js');
var utils_withInstall = require('../utils/withInstall.js');
require('../_chunks/dep-27ac0b8c.js');
require('@babel/runtime/helpers/defineProperty');
require('vue');
require('../utils/helper.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('@babel/runtime/helpers/slicedToArray');
require('../_chunks/dep-f0f28315.js');
require('../_chunks/dep-7ed5d19e.js');
require('../_chunks/dep-f8b182e9.js');
require('../_chunks/dep-31fa06d0.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-0f4ac92d.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-2f28fbd7.js');
require('../_chunks/dep-76d8c62c.js');
require('../_chunks/dep-2f0c3d6d.js');
require('../utils/render-tnode.js');
require('@babel/runtime/helpers/readOnlyError');
require('@vue/composition-api');
require('../_chunks/dep-b08014cb.js');
require('./props.js');
require('../utils/event.js');
require('../config-provider/config-receiver.js');
require('../_chunks/dep-65c8d021.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-bc99824f.js');
require('../_chunks/dep-4effc6c4.js');
require('dayjs');
require('../_chunks/dep-d59c4646.js');
require('../_chunks/dep-11382958.js');
require('../_chunks/dep-c272f99f.js');
require('../_chunks/dep-89b9f4de.js');
require('../_chunks/dep-1c1cc34f.js');
require('../_chunks/dep-ba816077.js');
require('../_chunks/dep-852fc6a9.js');
require('../_chunks/dep-c9d43e30.js');
require('../_chunks/dep-23d55f82.js');
require('../_chunks/dep-bc3ec918.js');
require('../_chunks/dep-f97b0058.js');
require('../_chunks/dep-9a119db9.js');
require('../_chunks/dep-49887b48.js');
require('../_chunks/dep-06c569d8.js');
require('../_chunks/dep-4d554a6f.js');
require('../_chunks/dep-7ec0f498.js');
require('../_chunks/dep-fcdc23bb.js');
require('../_chunks/dep-59f3051f.js');
require('../_chunks/dep-b86e0f9e.js');
require('../utils/mixins.js');
require('@babel/runtime/helpers/asyncToGenerator');
require('@babel/runtime/regenerator');
require('../hooks/useResizeObserver.js');
require('./radio-group-props.js');
require('../utils/dom.js');
require('raf');
require('../utils/easing.js');
require('../_chunks/dep-2e662da4.js');
require('../_common/js/common.js');
require('../_chunks/dep-260a7245.js');
require('../_chunks/dep-b286149a.js');
require('../_chunks/dep-e9318595.js');
require('../_chunks/dep-50b0a969.js');

var Radio = utils_withInstall.withInstall(utils_mapProps["default"](["checked"], {
  model: {
    prop: "checked",
    event: "change"
  }
})(radio_radio["default"]));
var RadioGroup = utils_withInstall.withInstall(utils_mapProps["default"](["value"], {
  model: {
    prop: "value",
    event: "change"
  }
})(radio_group["default"]));
var RadioButton = utils_withInstall.withInstall(radio_radioButton["default"]);

exports.Radio = Radio;
exports.RadioButton = RadioButton;
exports.RadioGroup = RadioGroup;
exports["default"] = Radio;
//# sourceMappingURL=index.js.map
