/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var set = require('../_chunks/dep-0448cf27.js');
var isNil = require('../_chunks/dep-ebbfcd2e.js');
var get = require('../_chunks/dep-5c93d051.js');
require('../_chunks/dep-27d04ffe.js');
require('../_chunks/dep-11382958.js');
require('../_chunks/dep-c272f99f.js');
require('../_chunks/dep-89b9f4de.js');
require('../_chunks/dep-1c1cc34f.js');
require('../_chunks/dep-31fa06d0.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-ba816077.js');
require('../_chunks/dep-852fc6a9.js');
require('../_chunks/dep-76dea031.js');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-0f4ac92d.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-49887b48.js');
require('../_chunks/dep-f8b182e9.js');
require('../_chunks/dep-9a119db9.js');

function getNodeDataByValue(values, data, keys) {
  var _getTreeNodeData = function getTreeNodeData(values2, data2, keys2) {
    var results2 = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : /* @__PURE__ */new Map();
    var _loop = function _loop() {
        var _item$children;
        var item = data2[i];
        var index = values2.findIndex(function (val) {
          return get.get(item, keys2.value) === val;
        });
        if (index !== -1) {
          results2.set(values2[index], item);
        }
        if (Array.isArray(item.children) && (_item$children = item.children) !== null && _item$children !== void 0 && _item$children.length) {
          _getTreeNodeData(values2, item.children, keys2, results2);
        }
        if (results2.size >= values2.length) {
          return {
            v: results2
          };
        }
      },
      _ret;
    for (var i = 0, len = data2.length; i < len; i++) {
      _ret = _loop();
      if (_ret) return _ret.v;
    }
    return results2;
  };
  var results = _getTreeNodeData(values, data, keys);
  if (values.length && results.size < values.length) {
    values.forEach(function (value) {
      if (!results.get(value)) {
        var obj = {};
        set.set(obj, keys.label, value);
        set.set(obj, keys.value, value);
        results.set(value, obj);
      }
    });
  }
  return values.map(function (value) {
    return results.get(value);
  });
}
function normalizeArray(value) {
  if (isNil.isNil(value)) {
    return [];
  }
  return Array.isArray(value) ? value : [value];
}
var utils = {};

exports["default"] = utils;
exports.getNodeDataByValue = getNodeDataByValue;
exports.normalizeArray = normalizeArray;
//# sourceMappingURL=utils.js.map
