/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var tree_adapt = require('./adapt.js');
var tree_hooks_useItemState = require('./hooks/useItemState.js');
var tree_hooks_useTreeItem = require('./hooks/useTreeItem.js');
var VueCompositionAPI = require('@vue/composition-api');
require('vue');
require('../utils/withInstall.js');
require('../_chunks/dep-7ed5d19e.js');
require('../_chunks/dep-f8b182e9.js');
require('../_chunks/dep-31fa06d0.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-0f4ac92d.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-2f28fbd7.js');
require('../_chunks/dep-76d8c62c.js');
require('../hooks/useVModel.js');
require('../_chunks/dep-b08014cb.js');
require('../_chunks/dep-2f0c3d6d.js');
require('../hooks/useDefaultValue.js');
require('tdesign-icons-vue');
require('../checkbox/index.js');
require('../checkbox/group.js');
require('../_chunks/dep-27ac0b8c.js');
require('@babel/runtime/helpers/toConsumableArray');
require('@babel/runtime/helpers/slicedToArray');
require('../utils/helper.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('../_chunks/dep-f0f28315.js');
require('../checkbox/checkbox.js');
require('../checkbox/props.js');
require('../checkbox/constants.js');
require('../checkbox/store.js');
require('@babel/runtime/helpers/classCallCheck');
require('@babel/runtime/helpers/createClass');
require('../checkbox/hooks/useKeyboardEvent.js');
require('../_common/js/common.js');
require('../hooks/useConfig.js');
require('../config-provider/useConfig.js');
require('../_chunks/dep-65c8d021.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-bc99824f.js');
require('../_chunks/dep-4effc6c4.js');
require('dayjs');
require('../_chunks/dep-d59c4646.js');
require('../_chunks/dep-11382958.js');
require('../_chunks/dep-c272f99f.js');
require('../_chunks/dep-89b9f4de.js');
require('../_chunks/dep-1c1cc34f.js');
require('../_chunks/dep-ba816077.js');
require('../_chunks/dep-852fc6a9.js');
require('../_chunks/dep-c9d43e30.js');
require('../_chunks/dep-23d55f82.js');
require('../_chunks/dep-bc3ec918.js');
require('../_chunks/dep-f97b0058.js');
require('../_chunks/dep-9a119db9.js');
require('../_chunks/dep-49887b48.js');
require('../_chunks/dep-06c569d8.js');
require('../_chunks/dep-4d554a6f.js');
require('../_chunks/dep-7ec0f498.js');
require('../_chunks/dep-fcdc23bb.js');
require('../_chunks/dep-59f3051f.js');
require('../_chunks/dep-b86e0f9e.js');
require('../hooks/useFormDisabled.js');
require('../hooks/useElementLazyRender.js');
require('../_common/js/utils/observe.js');
require('../utils/render-tnode.js');
require('@babel/runtime/helpers/readOnlyError');
require('../checkbox/checkbox-group-props.js');
require('../_chunks/dep-49944b19.js');
require('../_chunks/dep-ab17e69e.js');
require('../_chunks/dep-195eea38.js');
require('../_chunks/dep-caea5f4e.js');
require('../hooks/slots.js');
require('../loading/index.js');
require('../loading/directive.js');
require('../loading/plugin.js');
require('../loading/loading.js');
require('../loading/icon/gradient.js');
require('../_common/js/loading/circle-adapter.js');
require('../_common/js/utils/setStyle.js');
require('../_common/js/utils/helper.js');
require('../_chunks/dep-1fe4c69b.js');
require('../_chunks/dep-2e662da4.js');
require('../_chunks/dep-260a7245.js');
require('../config-provider/config-receiver.js');
require('../utils/mixins.js');
require('../utils/dom.js');
require('raf');
require('../utils/easing.js');
require('../utils/transfer-dom.js');
require('../loading/props.js');
require('../config.js');
require('../_chunks/dep-029c3522.js');
require('../_chunks/dep-c63385b6.js');
require('../_chunks/dep-87dae4a0.js');
require('../_chunks/dep-07989e63.js');
require('../_chunks/dep-d3e77112.js');
require('../_chunks/dep-b520fc3a.js');
require('../_chunks/dep-f2e07584.js');
require('../_chunks/dep-9a183e68.js');
require('../_chunks/dep-5c93d051.js');
require('../_chunks/dep-76dea031.js');
require('../_chunks/dep-56240b5e.js');
require('../_chunks/dep-81ddbae0.js');
require('../hooks/useGlobalIcon.js');
require('../hooks/useLazyLoad.js');
require('../hooks/useVirtualScrollNew.js');
require('../hooks/useResizeObserver.js');
require('../_common/js/tree/tree-node.js');
require('@babel/runtime/helpers/asyncToGenerator');
require('@babel/runtime/regenerator');
require('../_common/js/tree/tree-node-model.js');
require('../_common/js/log/log.js');
require('../_chunks/dep-a3139c33.js');
require('../_chunks/dep-11856238.js');
require('../_chunks/dep-b5cedeaa.js');
require('../_chunks/dep-0982adb4.js');
require('../_chunks/dep-bd4b64b6.js');
require('../_chunks/dep-a588d57a.js');
require('../_chunks/dep-ebbfcd2e.js');
require('./hooks/useItemEvents.js');
require('./hooks/useRenderIcon.js');
require('./util.js');
require('./hooks/useRenderLabel.js');
require('./hooks/useRenderLine.js');
require('./hooks/useRenderOperations.js');
require('./hooks/useDraggable.js');
require('../_chunks/dep-b286149a.js');
require('../_chunks/dep-e9318595.js');
require('../_chunks/dep-50b0a969.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var treeItemProps = {
  stateId: {
    type: String
  },
  itemKey: {
    type: String
  },
  rowIndex: {
    type: Number
  },
  treeScope: {
    type: Object
  }
};
var TreeItem = VueCompositionAPI.defineComponent(_objectSpread(_objectSpread({
  props: treeItemProps
}, tree_adapt.TreeItemDefinition), {}, {
  setup: function setup(props, context) {
    var _useItemState = tree_hooks_useItemState["default"](props, context),
      state = _useItemState.state;
    var treeItemRef = state.treeItemRef;
    VueCompositionAPI.ref();
    var _useTreeItem = tree_hooks_useTreeItem["default"](state),
      renderItemNode = _useTreeItem.renderItemNode;
    return {
      treeItemRef: treeItemRef,
      renderItemNode: renderItemNode
    };
  },
  render: function render(h) {
    var createElement = tree_adapt.getCreateElement(h);
    if (typeof this.renderItemNode === "function") {
      return this.renderItemNode(createElement);
    }
    return null;
  }
}));

exports["default"] = TreeItem;
exports.treeItemProps = treeItemProps;
//# sourceMappingURL=tree-item.js.map
