/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_helper = require('./helper.js');
require('@babel/runtime/helpers/objectWithoutProperties');
require('@babel/runtime/helpers/slicedToArray');
require('@babel/runtime/helpers/defineProperty');
require('../_chunks/dep-f0f28315.js');
require('../_chunks/dep-7ed5d19e.js');
require('../_chunks/dep-f8b182e9.js');
require('../_chunks/dep-31fa06d0.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-0f4ac92d.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-2f28fbd7.js');
require('../_chunks/dep-76d8c62c.js');
require('../_chunks/dep-2f0c3d6d.js');

function emitEvent(vm, eventName) {
  var emitEventName;
  var emitEventMethodName;
  if (typeof eventName === "string") {
    emitEventName = eventName;
    emitEventMethodName = utils_helper.getPropsApiByEvent(eventName);
  } else {
    emitEventName = eventName.event;
    emitEventMethodName = eventName.method;
  }
  for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
    args[_key - 2] = arguments[_key];
  }
  if (vm.$listeners["".concat(emitEventName)]) {
    vm.$emit.apply(vm, [emitEventName].concat(args));
  }
  if (typeof vm.$props[emitEventMethodName] === "function") {
    var _vm$$props;
    (_vm$$props = vm.$props)[emitEventMethodName].apply(_vm$$props, args);
  }
}

exports.emitEvent = emitEvent;
//# sourceMappingURL=event.js.map
