/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_dom = require('./dom.js');
require('vue');
require('raf');
require('./easing.js');
require('../_chunks/dep-2e662da4.js');
require('../_chunks/dep-31fa06d0.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-f4d07ab0.js');

var TransferDom = {
  inserted: function inserted(el, binding) {
    if (!binding.value) return;
    var parentNode = utils_dom.getAttach(binding.value);
    parentNode === null || parentNode === void 0 || parentNode.appendChild(el);
  }
};

exports["default"] = TransferDom;
//# sourceMappingURL=transfer-dom.js.map
