/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _Comment from './comment.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import './props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import 'vue';
import '@vue/composition-api';
import 'lodash-es';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-b09592da.js';
import '../_chunks/dep-63bfe5be.js';
import 'dayjs';
import '../_chunks/dep-55f7c5cf.js';
import '../config-provider/type.js';
import '../utils/mixins.js';
import '../button/index.js';
import '../button/button.js';
import '../loading/index.js';
import '../loading/directive.js';
import '../loading/plugin.js';
import '../loading/loading.js';
import '../loading/icon/gradient.js';
import '../_common/js/loading/circle-adapter.js';
import '../_common/js/utils/setStyle.js';
import '../_common/js/utils/helper.js';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/transfer-dom.js';
import '../loading/props.js';
import '../config.js';
import '../loading/type.js';
import '../button/props.js';
import '../utils/ripple.js';
import '../button/type.js';

var Comment = withInstall(_Comment);

export { Comment, Comment as default };
//# sourceMappingURL=index.js.map
