/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _Form from './form.js';
import _FormItem from './form-item.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/regenerator';
import 'lodash-es';
import './props.js';
import './const.js';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-b09592da.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-63bfe5be.js';
import 'dayjs';
import '../_chunks/dep-55f7c5cf.js';
import '../config-provider/type.js';
import '../utils/mixins.js';
import 'tdesign-icons-vue';
import './form-model.js';
import './form-item-props.js';
import '../_common/js/log/index.js';
import '../_common/js/log/log.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@vue/composition-api';

var Form = withInstall(_Form);
var FormItem = withInstall(_FormItem);

export { Form, FormItem, Form as default };
//# sourceMappingURL=index.js.map
