/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _Swiper from './swiper.js';
import _SwiperItem from './swiper-item.js';
import { withInstall } from '../utils/withInstall.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-3ad6635a.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'tdesign-icons-vue';
import 'lodash-es';
import './props.js';
import '../hooks/render-tnode.js';
import '@vue/composition-api';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import '../utils/event.js';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/slicedToArray';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-b09592da.js';
import '../_chunks/dep-63bfe5be.js';
import 'dayjs';
import '../_chunks/dep-55f7c5cf.js';
import '../config-provider/type.js';
import '../utils/mixins.js';

var Swiper = withInstall(_Swiper);
var SwiperItem = withInstall(_SwiperItem);

export { Swiper, SwiperItem, Swiper as default };
//# sourceMappingURL=index.js.map
