/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import { withInstall } from '../utils/withInstall.js';
import _BackTop from './back-top.js';
import './style/index.js';
import './type.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'lodash-es';
import '@babel/runtime/helpers/typeof';
import '@vue/composition-api';
import 'tdesign-icons-vue';
import '../utils/dom.js';
import 'raf';
import '../utils/easing.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-b09592da.js';
import '../_chunks/dep-63bfe5be.js';
import 'dayjs';
import '../_chunks/dep-55f7c5cf.js';
import '../config-provider/type.js';
import '../hooks/useGlobalIcon.js';
import './props.js';

var BackTop = withInstall(_BackTop);

export { BackTop, BackTop as default };
//# sourceMappingURL=index.js.map
