/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _InputAdornment from './input-adornment.js';
import { withInstall } from '../utils/withInstall.js';
import './style/index.js';
import './type.js';
import 'lodash-es';
import './props.js';
import '../config-provider/config-receiver.js';
import 'vue';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-b09592da.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-63bfe5be.js';
import 'dayjs';
import '../_chunks/dep-55f7c5cf.js';
import '../config-provider/type.js';
import '../utils/mixins.js';
import '@babel/runtime/helpers/defineProperty';

var InputAdornment = withInstall(_InputAdornment);

export { InputAdornment, InputAdornment as default };
//# sourceMappingURL=index.js.map
