/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _Alert from './alert.js';
import { withInstall } from '../utils/withInstall.js';
import '@babel/runtime/helpers/defineProperty';
import 'tdesign-icons-vue';
import '../utils/dom.js';
import 'vue';
import 'raf';
import 'lodash-es';
import '../utils/easing.js';
import './props.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import '@babel/runtime/helpers/typeof';
import '@vue/composition-api';
import '../utils/mixins.js';
import '../config-provider/config-receiver.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-aeca18f4.js';
import '../_chunks/dep-aae288e4.js';
import 'dayjs';

var Alert = withInstall(_Alert);

export { Alert, Alert as default };
//# sourceMappingURL=index.js.map
