/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import _CheckboxGroup from './group.js';
import _Checkbox from './checkbox.js';
import { withInstall } from '../utils/withInstall.js';
import '../_chunks/dep-5a4cf8ce.js';
import '@babel/runtime/helpers/typeof';
import '@babel/runtime/helpers/toConsumableArray';
import '@babel/runtime/helpers/slicedToArray';
import '@vue/composition-api';
import 'lodash-es';
import '../utils/helper.js';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/helpers/defineProperty';
import './checkbox-group-props.js';
import './constants.js';
import './store.js';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '../hooks/slots.js';
import '../hooks/useConfig.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/default-config.js';
import '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-aeca18f4.js';
import '../_chunks/dep-aae288e4.js';
import 'dayjs';
import '../hooks/useVModel.js';
import './props.js';
import './hooks/useKeyboardEvent.js';
import '../_common/js/common.js';
import '../hooks/useFormDisabled.js';
import '../hooks/useElementLazyRender.js';
import '../_common/js/utils/observe.js';
import '../utils/render-tnode.js';
import '@babel/runtime/helpers/readOnlyError';
import 'vue';

var Checkbox = withInstall(_Checkbox);
var CheckboxGroup = withInstall(_CheckboxGroup);

export { Checkbox, CheckboxGroup, Checkbox as default };
//# sourceMappingURL=index.js.map
