/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import { merge, mergeWith as mergeWith$1 } from 'lodash-es';
import defaultConfig from '../_common/js/global-config/default-config.js';
import zhCn from '../_common/js/global-config/locale/zh_CN.js';
import '../_chunks/dep-aeca18f4.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-aae288e4.js';
import 'dayjs';

var EAnimationType = /* @__PURE__ */function (EAnimationType2) {
  EAnimationType2["ripple"] = "ripple";
  EAnimationType2["expand"] = "expand";
  EAnimationType2["fade"] = "fade";
  return EAnimationType2;
}(EAnimationType || {});
var defaultGlobalConfig = merge(defaultConfig, zhCn);
var mergeWith = function mergeWith(defaultGlobalConfig2, injectConfig) {
  return mergeWith$1(defaultGlobalConfig2, injectConfig, function (objValue, srcValue) {
    if (Array.isArray(objValue)) {
      return srcValue;
    }
  });
};

export { EAnimationType, defaultGlobalConfig, mergeWith };
//# sourceMappingURL=context.js.map
