/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var configProvider_configReceiver = require('../config-provider/config-receiver.js');
var utils_mixins = require('../utils/mixins.js');
require('vue');
require('../_chunks/dep-65c8d021.js');
require('../_common/js/global-config/default-config.js');
require('../_common/js/global-config/locale/zh_CN.js');
require('../_chunks/dep-bc99824f.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-4effc6c4.js');
require('dayjs');
require('../_chunks/dep-d59c4646.js');
require('../_chunks/dep-11382958.js');
require('../_chunks/dep-c272f99f.js');
require('../_chunks/dep-89b9f4de.js');
require('../_chunks/dep-1c1cc34f.js');
require('../_chunks/dep-31fa06d0.js');
require('../_chunks/dep-ba816077.js');
require('../_chunks/dep-852fc6a9.js');
require('../_chunks/dep-c9d43e30.js');
require('../_chunks/dep-f4d07ab0.js');
require('../_chunks/dep-36c57efe.js');
require('../_chunks/dep-23d55f82.js');
require('../_chunks/dep-bc3ec918.js');
require('../_chunks/dep-f97b0058.js');
require('../_chunks/dep-9a119db9.js');
require('../_chunks/dep-49887b48.js');
require('../_chunks/dep-06c569d8.js');
require('../_chunks/dep-4d554a6f.js');
require('../_chunks/dep-7ec0f498.js');
require('../_chunks/dep-fcdc23bb.js');
require('../_chunks/dep-59f3051f.js');
require('../_chunks/dep-b86e0f9e.js');

var classPrefixMixins = configProvider_configReceiver.getClassPrefixMixins("slider");
var TSliderMark = utils_mixins["default"](classPrefixMixins).extend({
  name: "TSliderMark",
  props: {
    mark: {
      type: [Object, Array, String]
    },
    point: {
      type: Number
    }
  },
  methods: {
    changeValue: function changeValue(event) {
      event.stopPropagation();
      this.$emit("change-value", this.point);
    }
  },
  render: function render() {
    var h = arguments[0];
    var label = this.mark;
    return h("div", {
      "class": "".concat(this.componentName, "__mark-text"),
      "on": {
        "click": this.changeValue
      }
    }, [label]);
  }
});

exports["default"] = TSliderMark;
//# sourceMappingURL=slider-mark.js.map
