/**
 * tdesign v1.12.0
 * (c) 2025 tdesign
 * @license MIT
 */

import '../../_common/js/color-picker/index.js';
export { cmyk2rgb, cmykInputToColor, rgb2cmyk } from '../../_common/js/color-picker/cmyk.js';
export { Color, genGradientPoint, genId, getColorObject, getColorWithoutAlpha, gradientColors2string } from '../../_common/js/color-picker/color.js';
export { ALPHA_FORMAT_MAP, COLOR_FORMAT_INPUTS, COLOR_MODES, DEFAULT_COLOR, DEFAULT_LINEAR_GRADIENT, DEFAULT_SYSTEM_SWATCH_COLORS, FORMATS, GRADIENT_SLIDER_DEFAULT_WIDTH, SATURATION_PANEL_DEFAULT_HEIGHT, SATURATION_PANEL_DEFAULT_WIDTH, SLIDER_DEFAULT_WIDTH, TD_COLOR_USED_COLORS_MAX_SIZE } from '../../_common/js/color-picker/constants.js';
export { Draggable } from '../../_common/js/color-picker/draggable.js';
export { getColorFormatInputs, getColorFormatMap, getColorFormatOptions, initColorFormat } from '../../_common/js/color-picker/format.js';
export { isGradientColor, parseGradientString } from '../../_common/js/color-picker/gradient.js';
import '../../_common/js/color-picker/types.js';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/defineProperty';
import 'tinycolor2';
import '@babel/runtime/helpers/toConsumableArray';
import 'lodash-es';
//# sourceMappingURL=index.js.map
